commit:     8a948932f43d232fdb72e2b246b2bcd642be457c
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu Apr 11 15:21:23 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 07:34:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a948932

net-nds/jxplorer: switch to java-pkg-simple

- Updates EAPI 7 -> 8
- Enables 24 tests
- SRC_URI to use tar.bz2 for smaller download

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/36354
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 net-nds/jxplorer/Manifest                   |  1 +
 net-nds/jxplorer/jxplorer-3.3.1.2-r2.ebuild | 74 +++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/net-nds/jxplorer/Manifest b/net-nds/jxplorer/Manifest
index fdffa915747b..e51031b263ce 100644
--- a/net-nds/jxplorer/Manifest
+++ b/net-nds/jxplorer/Manifest
@@ -1 +1,2 @@
+DIST jxplorer-3.3.1.2-project%20.tar.bz2 4086314 BLAKE2B 
1232277a71eab218df3aec6a0bde54cb00f02fe31e7ef98d7f791df886f9b8522e5ca95705647f3dcfb16621de68a8e43605a2a6453cc3fff7bd5efcbaf07793
 SHA512 
56c1043ab9ec4905878c94ad255d8391879db8007a96ad26329eec803a513ab6672fc696b893b7468a5384de8a9182db4bf824d572fbc0c0caf62b22f21269ba
 DIST jxplorer-3.3.1.2-project.zip 4625538 BLAKE2B 
b1bfb552dd4524f4d0fde4ff15617bf3e50629c0f879f05ee87c9f301afa9a5a4c544c8bb85d5b9639fe809f030752f9e96c321a4e6d20fda7aa55097363bdeb
 SHA512 
6c95de48b2abd41a4926de3bd9bd203e266676028e12d1f1c93d8ef6f10b233eefcb122c8c075d6758b43c85e30fdc4b01d55811e5fcbdcd64d353c6f0fef94a

diff --git a/net-nds/jxplorer/jxplorer-3.3.1.2-r2.ebuild 
b/net-nds/jxplorer/jxplorer-3.3.1.2-r2.ebuild
new file mode 100644
index 000000000000..3c8def3594cc
--- /dev/null
+++ b/net-nds/jxplorer/jxplorer-3.3.1.2-r2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+JAVA_TESTING_FRAMEWORKS="junit"
+
+inherit desktop java-pkg-2 java-pkg-simple prefix
+
+DESCRIPTION="Fully functional LDAP browser written in Java"
+HOMEPAGE="https://jxplorer.org/";
+SRC_URI="https://downloads.sourceforge.net/project/jxplorer/jxplorer/version%20${PV}/${P}-project%20.tar.bz2";
+S="${WORKDIR}/${PN}"
+
+LICENSE="CAOSL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="app-arch/unzip"
+CP_DEPEND=">=dev-java/javahelp-2.0.02_p46:0"
+# needs java stuff that is missing in java > 1.8 os has to be restricted
+DEPEND="${CP_DEPEND}
+       virtual/jdk:1.8
+       test? ( dev-java/junit:0 )
+"
+RDEPEND="${CP_DEPEND}
+       virtual/jre:1.8
+"
+
+JAVA_MAIN_CLASS="com.ca.directory.jxplorer.JXplorer"
+JAVA_SRC_DIR="main/src"
+JAVA_TEST_GENTOO_CLASSPATH="junit"
+JAVA_TEST_SRC_DIRS="test/src"
+
+src_prepare() {
+       java-pkg-2_src_prepare
+       mkdir main test || die
+       find src -type f \
+               ! -path '**/*Test.java' \
+               ! -path '**/*Test*.java' \
+               | xargs cp --parent -t main || die
+
+       find src -type f \
+               \( -path '**/*Test.java' \
+               -o -path '**/*Test*.java' \) \
+               | xargs cp --parent -t test || die
+
+       rm -r src || die
+}
+
+src_test() {
+#      VIRTUALX_COMMAND="java-pkg-2_src_test" virtx emake -j1
+       java-pkg-simple_src_test
+}
+
+src_install() {
+       java-pkg-simple_src_install
+
+       insinto /usr/share/${PN}
+       doins -r icons images htmldocs language templates plugins 
security.default csvconfig.txt.default
+
+       dodoc README*.TXT
+
+       # By default the config dir is ${HOME}/jxplorer
+       java-pkg_dolauncher ${PN} \
+               --main com.ca.directory.jxplorer.JXplorer \
+               --pwd '"${HOME}/.jxplorer"' \
+               -pre "${FILESDIR}/${PN}-3-pre"
+
+       eprefixify "${ED}/usr/bin/${PN}"
+
+       make_desktop_entry ${PN} JXplorer 
/usr/share/jxplorer/images/logo_32_trans.gif System
+}

Reply via email to